import { du as e, dv as t, cG as r, dw as i, v as s, c_ as a, a6 as o, w as m, a4 as l, ex as p, ey as n } from "./index-f50c05c4.js";
import { _ as u } from "./lodash-f1e42446.js";
import { lR as h, lS as c } from "./ant-design-icons-b1480d8d.js";
import "./loglevel-6fb66d22.js";
import "./axios-84bb1c75.js";
import "./redux-devtools-d38e5b33.js";
import "./alasql-0ff6dabf.js";
import "./react-router-a1807b5b.js";
import "./antd-04a23d13.js";
import "react";
import "react-dom";
import "./dayjs-844325ae.js";
import "./fontawesome-2445f580.js";
import "./dnd-kit-56a2f36f.js";
import "./styled-components-1e696d6b.js";
import "./numbro-c1edb412.js";
import "./papaparse-1bac8e5f.js";
import "./uuid-82f303b2.js";
import "./supabase-c27c62e3.js";
import "./fetch-a3c8ad94.js";
import "./react-draggable-60f59f09.js";
import "./remark-gfm-f2973785.js";
import "./buffer-d3713d77.js";
import "./rehype-raw-41b6145f.js";
import "./parse5-6476676e.js";
import "./rehype-sanitize-deb53e9a.js";
import "./simplebar-react-e1b123a3.js";
import "./react-best-gradient-color-picker-4dd60dac.js";
import "./ua-parser-js-094f59ba.js";
import "./clsx-469c2c43.js";
import "./crypto-js-d5eac8ba.js";
import "./codemirror-73d8c217.js";
import "./really-relaxed-json-49b6a70d.js";
import "./immer-c0428a8d.js";
import "./redux-saga-5514e228.js";
import "./hotkeys-js-0dddb21a.js";
import "./cnchar-5678e6bc.js";
import "./react-documents-eb6de859.js";
import "./sql-formatter-69e8df59.js";
import "./rc-trigger-5125aafe.js";
import "./react-json-view-9403d8a1.js";
import "./qrcode-react-cb73d2b6.js";
import "./katex-a34f0265.js";
import "./ecogis-maps-bb0d63f9.js";
import "./devextreme-2fa5bb9a.js";
const d = { itemKey: s(""), summary: a([{ label: "GroupItem", value: "group" }, { label: "TotalItem", value: "total" }], "total"), label: o, alignByColumn: m(l, true), alignment: a(p, "right"), cssClass: o, customizeText: o, displayFormat: m(o, "Sum: {0}"), name: o, showInColumn: o, showInGroupFooter: m(l, false), skipEmptyValues: m(l, false), summaryType: a([{ label: "Sum", value: "sum" }, { label: "Avg", value: "avg" }, { label: "Count", value: "count" }, { label: "Min", value: "min" }, { label: "Max", value: "max" }, { label: "Custom", value: "custom" }], "sum"), valueFormat: a(n, "") };
class y extends e {
  getView() {
    return u.mapValues(this.children, (e2) => e2.getView());
  }
  getPropertyView() {
    return h(c, { children: [this.children.summary.propertyView({ label: "Choose summary" }), this.children.label.propertyView({ label: "Column" }), "group" === this.children.summary.getView() && this.children.showInGroupFooter.propertyView({ label: "Show in group footer" }), "group" === this.children.summary.getView() && this.children.alignByColumn.propertyView({ label: "Align by column" }), "total" === this.children.summary.getView() && this.children.alignment.propertyView({ label: "Alignment", radioButton: true }), this.children.summaryType.propertyView({ label: "Summary type" }), "custom" === this.children.summaryType.getView() && this.children.name.propertyView({ label: "Summary name" }), this.children.valueFormat.propertyView({ label: "Format" }), this.children.displayFormat.propertyView({ label: "Display format" }), this.children.skipEmptyValues.propertyView({ label: "Skip empty values" })] });
  }
  parseChildrenFromValue(e2) {
    return t(e2, { ...d, items: j });
  }
  ignoreChildDefaultValue() {
    return true;
  }
  addSubItem(e2) {
    this.children.items.addItem(e2);
  }
  getItemKey() {
    return this.children.itemKey.getView();
  }
}
class j extends r(y) {
  addItem(e2) {
    this.getView(), this.dispatch(this.pushAction(e2 ? { ...e2, itemKey: e2.itemKey || i() } : { label: "type column", itemKey: i() }));
  }
  deleteItem(e2) {
    this.dispatch(this.deleteAction(e2));
  }
  moveItem(e2, t2) {
    this.dispatch(this.arrayMoveAction(e2, t2));
  }
}
function g() {
  const e2 = r(y);
  return class extends e2 {
    addItem(e3) {
      this.getView(), this.dispatch(this.pushAction(e3 ? { ...e3, itemKey: e3.itemKey || i() } : { label: "Column", itemKey: i() }));
    }
    deleteItem(e3) {
      this.dispatch(this.deleteAction(e3));
    }
    moveItem(e3, t2) {
      this.dispatch(this.arrayMoveAction(e3, t2));
    }
  };
}
export {
  y as SummaryItemComp,
  j as SummaryListComp,
  g as summaryListComp
};
